<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html lang="en" xml:lang="en" xmlns="http://www.w3.org/1999/xhtml">

<head>
<title>Rank Strangers To Me</title>
<link rel="stylesheet" type="text/css" href="../css/general.css" />
</head>

<body>

<h1 class="songtitle">Rank Strangers To Me</h1>


<p>Words and music by Albert Brumley<br />
Sung by Bob Dylan on <a class="recordlink" href="index.htm">Down In The Groove</a> (1988)<br />
Tabbed by Eyolf &Oslash;strem</p>

<hr />

<pre class="verse">
            E          Esus4       E
I wandered again to my home in the mountain
                                            B     B7
Where in youth's early dawn I was happy and free
                E
I looked for my friends but I never could find them
                      B                 E
I found they were all rank strangers to me.

                          Esus4
Ev'rybody I met seemed to be a rank stranger
                                      B     B7
No mother or dad not a friend could I see
                 E
They knew not my name and I knew not their faces
                      B                 E
I found they were all rank strangers to me.

&quot;They all moved a way,&quot; said a voice of a stranger
&quot;To that bautiful home by the bright crystal sea&quot;
Some beautiful day I'll meet 'em in heaven
Where no one will be a stranger to me.

Ev'rybody I met seemed to be a rank stranger
No mother or dad not a friend could I see
They knew not my name and I knew not their faces
I found they were all rank strangers to me.
</pre>

</body></html>
